<?php
/*
The template contains more spans and divs rather than less, so that other themes
could be created using solely the CSS properties of the template.  Therefore,
having to create a new page layout from scratch would be only a last resort.
Not all such divs are used in the current layout.
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $config["lang"];?>" lang="<?php echo $config["lang"];?>">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
  <?php if (isset($_GET["style"]) && $_GET["style"] === "print") { ?>
  <link rel="stylesheet" media="screen" type="text/css" href="print.css" title="<?php echo _("Printer-friendly");?>"/>
  <link rel="alternate stylesheet" media="screen" type="text/css"
    href="screen.css" title="<?php echo _("Screen");?>"/>
  <?php } else { ?>
  <link rel="stylesheet" media="screen" type="text/css" href="screen.css" title="<?php echo _("Screen");?>"/>
  <link rel="alternate stylesheet" media="screen" type="text/css"
    href="print.css" title="Printer-friendly"/>
  <?php } ?>
  <link rel="stylesheet" media="print" type="text/css" href="print.css"/>
  <title>
  <?php echo $theme["page-title"];?> - daDrill
  </title>
</head>
<body>

<!-- Top of page (with eventual frills) -->
<div id="top">
  <div id="top-decoration-left"></div>
  <div id="top-decoration-right"></div>
</div>
<!-- End top of page -->

<!-- Begin page content -->
<div id="page-content">
<div id="page-content-inside">
<h1>Page header</h1>
<p>This is the page content.</p>
<!-- <p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of "de Finibus Bonorum et Malorum" (The Extremes of Good and Evil) by Cicero, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum, "Lorem ipsum dolor sit amet..", comes from a line in section 1.10.32.</p>

<p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those interested. Sections 1.10.32 and 1.10.33 from "de Finibus Bonorum et Malorum" by Cicero are also reproduced in their exact original form, accompanied by English versions from the 1914 translation by H. Rackham.</p>
<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of "de Finibus Bonorum et Malorum" (The Extremes of Good and Evil) by Cicero, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum, "Lorem ipsum dolor sit amet..", comes from a line in section 1.10.32.</p>

<p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those interested. Sections 1.10.32 and 1.10.33 from "de Finibus Bonorum et Malorum" by Cicero are also reproduced in their exact original form, accompanied by English versions from the 1914 translation by H. Rackham.</p>
<p>Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of "de Finibus Bonorum et Malorum" (The Extremes of Good and Evil) by Cicero, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum, "Lorem ipsum dolor sit amet..", comes from a line in section 1.10.32.</p>

<p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those interested. Sections 1.10.32 and 1.10.33 from "de Finibus Bonorum et Malorum" by Cicero are also reproduced in their exact original form, accompanied by English versions from the 1914 translation by H. Rackham.</p>

<p>The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those interested. Sections 1.10.32 and 1.10.33 from "de Finibus Bonorum et Malorum" by Cicero are also reproduced in their exact original form, accompanied by English versions from the 1914 translation by H. Rackham.</p>
-->
</div>

<!-- Navigation bar -->
<div id="navbar">
<h2 class="navigation-title">Navigation</h2>
<ul>
  <li id="navbar-home"><a href="./"><span class="navbar-button"></span><span class="navbar-link-text"><?php echo _("Home");?></span></a></li>
  <li id="navbar-browse"><a href="browse.php"><span class="navbar-button"></span><span class="navbar-link-text"><?php echo _("Browse");?></span></a></li>
  <li id="navbar-query"><a href="query.php"><span class="navbar-button"></span><span class="navbar-link-text"><?php echo _("Query");?></span></a></li>
  <li id="navbar-add"><a href="add.php"><span class="navbar-button"></span><span class="navbar-link-text"><?php echo _("Add");?></span></a></li>
  <li id="navbar-about"><a href="about.php"><span class="navbar-button"></span><span class="navbar-link-text"><?php echo _("About");?></span></a></li>
</ul>
</div>
<!-- End navigation bar -->

<!-- Footer -->
<div id="footer">
<hr/>
<div id="footer-inside">
<span>
&copy; 2005 Sylvain Hall&eacute;.
<?php echo _("This software is released under the GNU GPL; see ");?>
<a href="COPYING">COPYING</a> <?php echo _("for license information.  This page (and script) was last modified on");?>
<?php echo $modif_date; ?>
</span>
</div>
</div>
<!-- End footer -->

</div>

<!-- End page content -->
</body>
</html>
